Extra commas in composer_widgets.js breaks use of IE

Bug #890743 reported by Lance Reed on 2011-11-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Graphite
Fix Released
Undecided
Unassigned

Bug Description

I have a need to use Internet Explorer with the latest version of Graphite.

Whenever attempting to use the intro graphite page on 0.9.9 with IE 8 - I get the following error.

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; .NET4.0C; .NET4.0E; InfoPath.2)
Timestamp: Thu, 10 Nov 2011 21:54:20 UTC

Message: 'tagName' is null or not an object
Line: 11
Char: 27093
Code: 0
URI: https://devgraphite20/content/js/ext/ext-all.js

I'm trying to debug the issue, but not much luck so far.

details:
graphite-web-0.9.9-2
django-tagging-0.3-1.el5.20080217svnr154
Django-1.1.4-1.el5
python-2.4.3-27.el5
python-elementtree-1.2.6-5
python-urlgrabber-3.1.0-5.el5
dbus-python-0.70-7.el5
python-simplejson-2.0.9-2.el5
python-twisted-core-11.0.0-3

The fix was to remove extra commas from composer_widgets.js.

/usr/share/graphite/webapp/content/js/composer_widgets.js

diff composer_widgets.js composer_widgets.js.orig
1052c1052
< menuRadioItem("yAxis", "Right", "yAxisSide", "right")
---
> menuRadioItem("yAxis", "Right", "yAxisSide", "right"),
1076c1076
< menuInputItem("Left Line Dashed (length, in px)", "leftDashed")
---
> menuInputItem("Left Line Dashed (length, in px)", "leftDashed"),
1088c1088
< menuInputItem("Right Line Dashed (length, in px)", "rightDashed")
---
> menuInputItem("Right Line Dashed (length, in px)", "rightDashed"),

Lance Reed (reed-r-lance) wrote :

Adding in patch file:

cat /tmp/composer_widgets.js.patch
--- composer_widgets.js.orig 2011-11-14 12:52:03.000000000 -0500
+++ composer_widgets.js 2011-11-15 10:30:11.000000000 -0500
@@ -1049,7 +1049,7 @@
   var yAxisSideMenu = new Ext.menu.Menu({
     items: [
       menuRadioItem("yAxis", "Left", "yAxisSide", "left"),
- menuRadioItem("yAxis", "Right", "yAxisSide", "right"),
+ menuRadioItem("yAxis", "Right", "yAxisSide", "right")
     ]
   });

@@ -1073,7 +1073,7 @@
       menuInputItem("Left Y Step", "yStepLeft"),
       menuInputItem("Left Line Width", "leftWidth"),
       menuInputItem("Left Line Color", "leftColor"),
- menuInputItem("Left Line Dashed (length, in px)", "leftDashed"),
+ menuInputItem("Left Line Dashed (length, in px)", "leftDashed")

     ]
   });
@@ -1085,7 +1085,7 @@
       menuInputItem("Right Y Step", "yStepRight"),
       menuInputItem("Right Line Width", "rightWidth"),
       menuInputItem("Right Line Color", "rightColor"),
- menuInputItem("Right Line Dashed (length, in px)", "rightDashed"),
+ menuInputItem("Right Line Dashed (length, in px)", "rightDashed")

     ]
   });

Nicholas Leskiw (nleskiw) wrote :

Committed to trunk, rev 600.

Changed in graphite:
status: New → Fix Committed
Changed in graphite:
milestone: none → 0.9.10
Changed in graphite:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers